import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';

import { RouterModule } from '@angular/router';

import { OddsCrawlerFrontendCommonModule } from '@odds-crawler/common';

import { DefaultLayoutComponent } from './component/default-layout.component';
import { MainLayoutComponent } from './component/main-layout.component';

import { LayoutService } from './service/layout.service';

export const COMPONENTS = [DefaultLayoutComponent, MainLayoutComponent];
export const SERVICES = [LayoutService];

@NgModule({
  declarations: [...COMPONENTS],
  imports: [CommonModule, RouterModule, OddsCrawlerFrontendCommonModule],
  exports: [...COMPONENTS]
})
export class OddsCrawlerFrontendLayoutModule {
  public static forRoot(): ModuleWithProviders<
    OddsCrawlerFrontendLayoutRootModule
  > {
    return {
      ngModule: OddsCrawlerFrontendLayoutRootModule,
      providers: [LayoutService]
    };
  }
}

@NgModule({
  imports: [],
  exports: []
})
export class OddsCrawlerFrontendLayoutRootModule {}
